Package com.google.protobuf

# Enum Class Descriptors.FieldDescriptor.JavaType

java.lang.Object
java.lang.Enum<Descriptors.FieldDescriptor.JavaType>
com.google.protobuf.Descriptors.FieldDescriptor.JavaType

All Implemented Interfaces:
  `Serializable`, `Comparable<Descriptors.FieldDescriptor.JavaType>`, `Constable`

Enclosing class:
  `Descriptors.FieldDescriptor`

public static enum Descriptors.FieldDescriptor.JavaType extends Enum<Descriptors.FieldDescriptor.JavaType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
`BYTE_STRING`
`DOUBLE`
`ENUM`
`FLOAT`
`INT`
`LONG`
`MESSAGE`
`STRING`

## Method Summary

Modifier and Type
Method
Description
`static Descriptors.FieldDescriptor.JavaType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Descriptors.FieldDescriptor.JavaType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INT

public static final Descriptors.FieldDescriptor.JavaType INT

### LONG

public static final Descriptors.FieldDescriptor.JavaType LONG

### FLOAT

public static final Descriptors.FieldDescriptor.JavaType FLOAT

### DOUBLE

public static final Descriptors.FieldDescriptor.JavaType DOUBLE

### BOOLEAN

public static final Descriptors.FieldDescriptor.JavaType BOOLEAN

### STRING

public static final Descriptors.FieldDescriptor.JavaType STRING

### BYTE_STRING

public static final Descriptors.FieldDescriptor.JavaType BYTE_STRING

### ENUM

public static final Descriptors.FieldDescriptor.JavaType ENUM

### MESSAGE

public static final Descriptors.FieldDescriptor.JavaType MESSAGE

## Method Details

### values

public static Descriptors.FieldDescriptor.JavaType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Descriptors.FieldDescriptor.JavaType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null